Package org.apache.lucene.analysis.morph

# Interface MorphData

public interface MorphData
High-level interface that represents morphological information in a dictionary

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getLeftId(int morphId)`
  Get left id of specified word
  `int`
  `getRightId(int morphId)`
  Get right id of specified word
  `int`
  `getWordCost(int morphId)`
  Get word cost of specified word

- ## Method Details

  - ### getLeftId

    int getLeftId(int morphId)
    Get left id of specified word
    Returns:
      left id

  - ### getRightId

    int getRightId(int morphId)
    Get right id of specified word
    Returns:
      right id

  - ### getWordCost

    int getWordCost(int morphId)
    Get word cost of specified word
    Returns:
      word's cost